#include "motormovement.h"

// Richtungen einstellen
void forward() {
  digitalWrite(IN1, HIGH); //setze IN1 auf High
  digitalWrite(IN2, LOW);  //setze IN2 auf Low
  digitalWrite(IN3, LOW);  //setze IN3 auf Low
  digitalWrite(IN4, HIGH); //setze IN4 auf Hight
}

void back() {
  digitalWrite(IN1, LOW);
  digitalWrite(IN2, HIGH);
  digitalWrite(IN3, HIGH);
  digitalWrite(IN4, LOW);
}

void left() {
  digitalWrite(IN1, LOW);
  digitalWrite(IN2, HIGH);
  digitalWrite(IN3, LOW);
  digitalWrite(IN4, HIGH);
}

void right() {
  digitalWrite(IN1, HIGH);
  digitalWrite(IN2, LOW);
  digitalWrite(IN3, HIGH);
  digitalWrite(IN4, LOW);
}

void stop() {
  digitalWrite(ENA, LOW);
  digitalWrite(ENB, LOW);
}


// Geschwindigkeit setzen
void setSpeed(u8 speed) {
  analogWrite(ENA, speed);
  analogWrite(ENB, speed);
}


